# List image history entries Source: https://docs.orchard.hackclub.com/api/operations/deployments_image_history_get/ `GET /apiv1/deployments/{id}/image-history` Operation ID: `deployments_image_history_get` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Responses ### 200: OK ```json { "items": { "additionalProperties": {}, "properties": { "branch": { "type": [ "string", "null" ] }, "buildCompletedAt": { "type": [ "string", "null" ] }, "buildLogs": { "type": [ "string", "null" ] }, "buildStartedAt": { "type": [ "string", "null" ] }, "commitAuthorName": { "type": [ "string", "null" ] }, "commitAuthorUsername": { "type": [ "string", "null" ] }, "commitMessage": { "type": [ "string", "null" ] }, "commitSha": { "type": [ "string", "null" ] }, "createdAt": { "type": "string" }, "deploymentId": { "type": "string" }, "id": { "type": "string" }, "image": { "type": "string" }, "isActive": { "type": "boolean" }, "tag": { "type": "string" }, "triggeredBy": { "additionalProperties": {}, "properties": { "firstName": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "lastName": { "type": [ "string", "null" ] }, "username": { "type": [ "string", "null" ] } }, "required": [ "id" ], "type": [ "object", "null" ] }, "triggeredById": { "type": [ "string", "null" ] }, "triggerType": { "type": [ "string", "null" ] } }, "required": [ "id", "image", "isActive", "createdAt" ], "type": "object" }, "type": "array" } ```